<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://CharterDotComAdminServices/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://CharterDotComAdminServices/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://CharterDotComAdminServices/">
      <s:element name="GetRelatedDocuments">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRelatedDocumentsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRelatedDocumentsResult" type="tns:ArrayOfBLHTMLDocument" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfBLHTMLDocument">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="BLHTMLDocument" nillable="true" type="tns:BLHTMLDocument" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="BLHTMLDocument">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="HTML" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="KeyWords" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Summary" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Title" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="RemoveDocumentRelation">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="IDtoRemove" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RemoveDocumentRelationResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetAllDocuments">
        <s:complexType />
      </s:element>
      <s:element name="GetAllDocumentsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllDocumentsResult" type="tns:ArrayOfBLHTMLDocument" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RelateDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="IDtoRelate" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RelateDocumentResponse">
        <s:complexType />
      </s:element>
      <s:element name="AddDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="folderID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="document" type="tns:BLHTMLDocument" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddDocumentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="AddDocumentResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddFolder">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="folder" type="tns:DocumentFolder" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="DocumentFolder">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="NumberOfChildren" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ParentFolderID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="ChildFolders" type="tns:ArrayOfDocumentFolder" />
          <s:element minOccurs="0" maxOccurs="1" name="ChildDocuments" type="tns:ArrayOfBLHTMLDocument" />
          <s:element minOccurs="1" maxOccurs="1" name="CreatorID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="LastModifierID" type="s:int" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfDocumentFolder">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="DocumentFolder" nillable="true" type="tns:DocumentFolder" />
        </s:sequence>
      </s:complexType>
      <s:element name="AddFolderResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="AddFolderResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="documentID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteDocumentResponse">
        <s:complexType />
      </s:element>
      <s:element name="DeleteFolder">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="folderID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteFolderResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetDistinctKeyWords">
        <s:complexType />
      </s:element>
      <s:element name="GetDistinctKeyWordsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDistinctKeyWordsResult" type="tns:ArrayOfAnyType" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfAnyType">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="anyType" nillable="true" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetDocumentByKeyword">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="keyword" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentByKeywordResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDocumentByKeywordResult" type="tns:ArrayOfBLHTMLDocument" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentFolderIDByDocumentID">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="documentID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentFolderIDByDocumentIDResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetDocumentFolderIDByDocumentIDResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="documentID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDocumentResult" type="tns:BLHTMLDocument" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentFolders">
        <s:complexType />
      </s:element>
      <s:element name="GetDocumentFoldersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDocumentFoldersResult" type="tns:ArrayOfDocumentFolder" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentFoldersByParentFolderID">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="parentFolderID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDocumentFoldersByParentFolderIDResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDocumentFoldersByParentFolderIDResult" type="tns:ArrayOfDocumentFolder" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetFolder">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="folderID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetFolderResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetFolderResult" type="tns:DocumentFolder" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetFolderDocuments">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="folderID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetFolderDocumentsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetFolderDocumentsResult" type="tns:ArrayOfBLHTMLDocument" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MoveDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="documentID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="newFolderID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MoveDocumentResponse">
        <s:complexType />
      </s:element>
      <s:element name="UpdateDocument">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="document" type="tns:BLHTMLDocument" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateDocumentResponse">
        <s:complexType />
      </s:element>
      <s:element name="UpdateFolder">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="folder" type="tns:DocumentFolder" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateFolderResponse">
        <s:complexType />
      </s:element>
      <s:element name="UpdateUploadedFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="documentID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="binaryDocument" type="s:base64Binary" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateUploadedFileResponse">
        <s:complexType />
      </s:element>
      <s:element name="UploadFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="buffer" type="s:base64Binary" />
            <s:element minOccurs="1" maxOccurs="1" name="folderId" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="title" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="IsBinary" type="s:boolean" />
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UploadFileResponse">
        <s:complexType />
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetRelatedDocumentsSoapIn">
    <wsdl:part name="parameters" element="tns:GetRelatedDocuments" />
  </wsdl:message>
  <wsdl:message name="GetRelatedDocumentsSoapOut">
    <wsdl:part name="parameters" element="tns:GetRelatedDocumentsResponse" />
  </wsdl:message>
  <wsdl:message name="RemoveDocumentRelationSoapIn">
    <wsdl:part name="parameters" element="tns:RemoveDocumentRelation" />
  </wsdl:message>
  <wsdl:message name="RemoveDocumentRelationSoapOut">
    <wsdl:part name="parameters" element="tns:RemoveDocumentRelationResponse" />
  </wsdl:message>
  <wsdl:message name="GetAllDocumentsSoapIn">
    <wsdl:part name="parameters" element="tns:GetAllDocuments" />
  </wsdl:message>
  <wsdl:message name="GetAllDocumentsSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllDocumentsResponse" />
  </wsdl:message>
  <wsdl:message name="RelateDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:RelateDocument" />
  </wsdl:message>
  <wsdl:message name="RelateDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:RelateDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="AddDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:AddDocument" />
  </wsdl:message>
  <wsdl:message name="AddDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:AddDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="AddFolderSoapIn">
    <wsdl:part name="parameters" element="tns:AddFolder" />
  </wsdl:message>
  <wsdl:message name="AddFolderSoapOut">
    <wsdl:part name="parameters" element="tns:AddFolderResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteDocument" />
  </wsdl:message>
  <wsdl:message name="DeleteDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteFolderSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteFolder" />
  </wsdl:message>
  <wsdl:message name="DeleteFolderSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteFolderResponse" />
  </wsdl:message>
  <wsdl:message name="GetDistinctKeyWordsSoapIn">
    <wsdl:part name="parameters" element="tns:GetDistinctKeyWords" />
  </wsdl:message>
  <wsdl:message name="GetDistinctKeyWordsSoapOut">
    <wsdl:part name="parameters" element="tns:GetDistinctKeyWordsResponse" />
  </wsdl:message>
  <wsdl:message name="GetDocumentByKeywordSoapIn">
    <wsdl:part name="parameters" element="tns:GetDocumentByKeyword" />
  </wsdl:message>
  <wsdl:message name="GetDocumentByKeywordSoapOut">
    <wsdl:part name="parameters" element="tns:GetDocumentByKeywordResponse" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFolderIDByDocumentIDSoapIn">
    <wsdl:part name="parameters" element="tns:GetDocumentFolderIDByDocumentID" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFolderIDByDocumentIDSoapOut">
    <wsdl:part name="parameters" element="tns:GetDocumentFolderIDByDocumentIDResponse" />
  </wsdl:message>
  <wsdl:message name="GetDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:GetDocument" />
  </wsdl:message>
  <wsdl:message name="GetDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:GetDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFoldersSoapIn">
    <wsdl:part name="parameters" element="tns:GetDocumentFolders" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFoldersSoapOut">
    <wsdl:part name="parameters" element="tns:GetDocumentFoldersResponse" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFoldersByParentFolderIDSoapIn">
    <wsdl:part name="parameters" element="tns:GetDocumentFoldersByParentFolderID" />
  </wsdl:message>
  <wsdl:message name="GetDocumentFoldersByParentFolderIDSoapOut">
    <wsdl:part name="parameters" element="tns:GetDocumentFoldersByParentFolderIDResponse" />
  </wsdl:message>
  <wsdl:message name="GetFolderSoapIn">
    <wsdl:part name="parameters" element="tns:GetFolder" />
  </wsdl:message>
  <wsdl:message name="GetFolderSoapOut">
    <wsdl:part name="parameters" element="tns:GetFolderResponse" />
  </wsdl:message>
  <wsdl:message name="GetFolderDocumentsSoapIn">
    <wsdl:part name="parameters" element="tns:GetFolderDocuments" />
  </wsdl:message>
  <wsdl:message name="GetFolderDocumentsSoapOut">
    <wsdl:part name="parameters" element="tns:GetFolderDocumentsResponse" />
  </wsdl:message>
  <wsdl:message name="MoveDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:MoveDocument" />
  </wsdl:message>
  <wsdl:message name="MoveDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:MoveDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateDocumentSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateDocument" />
  </wsdl:message>
  <wsdl:message name="UpdateDocumentSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateDocumentResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateFolderSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateFolder" />
  </wsdl:message>
  <wsdl:message name="UpdateFolderSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateFolderResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateUploadedFileSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateUploadedFile" />
  </wsdl:message>
  <wsdl:message name="UpdateUploadedFileSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateUploadedFileResponse" />
  </wsdl:message>
  <wsdl:message name="UploadFileSoapIn">
    <wsdl:part name="parameters" element="tns:UploadFile" />
  </wsdl:message>
  <wsdl:message name="UploadFileSoapOut">
    <wsdl:part name="parameters" element="tns:UploadFileResponse" />
  </wsdl:message>
  <wsdl:portType name="DocumentManagerBLSoap">
    <wsdl:operation name="GetRelatedDocuments">
      <wsdl:input message="tns:GetRelatedDocumentsSoapIn" />
      <wsdl:output message="tns:GetRelatedDocumentsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RemoveDocumentRelation">
      <wsdl:input message="tns:RemoveDocumentRelationSoapIn" />
      <wsdl:output message="tns:RemoveDocumentRelationSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <wsdl:input message="tns:GetAllDocumentsSoapIn" />
      <wsdl:output message="tns:GetAllDocumentsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RelateDocument">
      <wsdl:input message="tns:RelateDocumentSoapIn" />
      <wsdl:output message="tns:RelateDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddDocument">
      <wsdl:input message="tns:AddDocumentSoapIn" />
      <wsdl:output message="tns:AddDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddFolder">
      <wsdl:input message="tns:AddFolderSoapIn" />
      <wsdl:output message="tns:AddFolderSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteDocument">
      <wsdl:input message="tns:DeleteDocumentSoapIn" />
      <wsdl:output message="tns:DeleteDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteFolder">
      <wsdl:input message="tns:DeleteFolderSoapIn" />
      <wsdl:output message="tns:DeleteFolderSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDistinctKeyWords">
      <wsdl:input message="tns:GetDistinctKeyWordsSoapIn" />
      <wsdl:output message="tns:GetDistinctKeyWordsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentByKeyword">
      <wsdl:input message="tns:GetDocumentByKeywordSoapIn" />
      <wsdl:output message="tns:GetDocumentByKeywordSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolderIDByDocumentID">
      <wsdl:input message="tns:GetDocumentFolderIDByDocumentIDSoapIn" />
      <wsdl:output message="tns:GetDocumentFolderIDByDocumentIDSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDocument">
      <wsdl:input message="tns:GetDocumentSoapIn" />
      <wsdl:output message="tns:GetDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolders">
      <wsdl:input message="tns:GetDocumentFoldersSoapIn" />
      <wsdl:output message="tns:GetDocumentFoldersSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFoldersByParentFolderID">
      <wsdl:input message="tns:GetDocumentFoldersByParentFolderIDSoapIn" />
      <wsdl:output message="tns:GetDocumentFoldersByParentFolderIDSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetFolder">
      <wsdl:input message="tns:GetFolderSoapIn" />
      <wsdl:output message="tns:GetFolderSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetFolderDocuments">
      <wsdl:input message="tns:GetFolderDocumentsSoapIn" />
      <wsdl:output message="tns:GetFolderDocumentsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="MoveDocument">
      <wsdl:input message="tns:MoveDocumentSoapIn" />
      <wsdl:output message="tns:MoveDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateDocument">
      <wsdl:input message="tns:UpdateDocumentSoapIn" />
      <wsdl:output message="tns:UpdateDocumentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateFolder">
      <wsdl:input message="tns:UpdateFolderSoapIn" />
      <wsdl:output message="tns:UpdateFolderSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateUploadedFile">
      <wsdl:input message="tns:UpdateUploadedFileSoapIn" />
      <wsdl:output message="tns:UpdateUploadedFileSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UploadFile">
      <wsdl:input message="tns:UploadFileSoapIn" />
      <wsdl:output message="tns:UploadFileSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DocumentManagerBLSoap" type="tns:DocumentManagerBLSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRelatedDocuments">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetRelatedDocuments" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RemoveDocumentRelation">
      <soap:operation soapAction="http://CharterDotComAdminServices/RemoveDocumentRelation" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetAllDocuments" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RelateDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/RelateDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddFolder">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddFolder" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteFolder">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteFolder" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDistinctKeyWords">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDistinctKeyWords" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentByKeyword">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDocumentByKeyword" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolderIDByDocumentID">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDocumentFolderIDByDocumentID" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolders">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDocumentFolders" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFoldersByParentFolderID">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetDocumentFoldersByParentFolderID" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetFolder">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetFolder" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetFolderDocuments">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetFolderDocuments" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MoveDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/MoveDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateDocument">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateDocument" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateFolder">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateFolder" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateUploadedFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateUploadedFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UploadFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/UploadFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="DocumentManagerBLSoap12" type="tns:DocumentManagerBLSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRelatedDocuments">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetRelatedDocuments" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RemoveDocumentRelation">
      <soap12:operation soapAction="http://CharterDotComAdminServices/RemoveDocumentRelation" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllDocuments">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetAllDocuments" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RelateDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/RelateDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddFolder">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddFolder" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteFolder">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteFolder" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDistinctKeyWords">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDistinctKeyWords" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentByKeyword">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDocumentByKeyword" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolderIDByDocumentID">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDocumentFolderIDByDocumentID" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFolders">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDocumentFolders" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDocumentFoldersByParentFolderID">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetDocumentFoldersByParentFolderID" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetFolder">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetFolder" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetFolderDocuments">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetFolderDocuments" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MoveDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/MoveDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateDocument">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateDocument" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateFolder">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateFolder" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateUploadedFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateUploadedFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UploadFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UploadFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="DocumentManagerBL">
    <wsdl:port name="DocumentManagerBLSoap" binding="tns:DocumentManagerBLSoap">
      <soap:address location="http://localhost/bl.remotinghost/charterdotcom_cmswebservices/documentadminservice.asmx" />
    </wsdl:port>
    <wsdl:port name="DocumentManagerBLSoap12" binding="tns:DocumentManagerBLSoap12">
      <soap12:address location="http://localhost/bl.remotinghost/charterdotcom_cmswebservices/documentadminservice.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>